# Block or allow AI access or set a budget `PUT /v1/sandboxes/{sandbox}/ai-access` **In this build:** Real. **Scope:** `credential.write` **CLI:** `harebox ai block` ## Request: `AiAccess` | Field | Type | Notes | |---|---|---| | `blocked` | `boolean` | | | `monthly_budget_usd` | `number or null` | | | `allowed_models` | `array` | | ## Response: 200 `AiAccess` | Field | Type | Notes | |---|---|---| | `blocked` | `boolean` | | | `monthly_budget_usd` | `number or null` | | | `allowed_models` | `array` | | Errors follow [one format](../errors.html).